Index: palm/trunk/SOURCE/vertical_nesting_mod.f90
===================================================================
--- palm/trunk/SOURCE/vertical_nesting_mod.f90	(revision 2711)
+++ palm/trunk/SOURCE/vertical_nesting_mod.f90	(revision 2712)
@@ -2548,7 +2700,7 @@
                    eplus  = eps * ( eps + 1.0 ) / 2.0 + alpha
        
-                   km (nzt+1,jf,if) = eminus * ptprs(bdims_rem(3,1),jf,if)   &
-                       + edot  * ptprs(bdims_rem(3,1)+1,jf,if) &
-                       + eplus  * ptprs(bdims_rem(3,1)+2,jf,if)
+                   km (nzt+1,jjf,iif) = eminus * ptprs(bdims_rem(3,1),jjf,iif)   &
+                       + edot  * ptprs(bdims_rem(3,1)+1,jjf,iif) &
+                       + eplus  * ptprs(bdims_rem(3,1)+2,jjf,iif)
        
                END DO
@@ -2558,9 +2710,9 @@
        
        
-#endif 
        
        END SUBROUTINE vnest_set_topbc_km
     
  
+#endif
     END SUBROUTINE vnest_boundary_conds_khkm
    
@@ -2568,4 +2720,6 @@
    
     SUBROUTINE vnest_anterpolate
+
+#if defined( __parallel )
    
         !--------------------------------------------------------------------------------!
@@ -2587,14 +2741,15 @@
         IMPLICIT NONE
    
-        REAL(wp)    ::  time_since_reference_point_rem
-        INTEGER(iwp)   :: i, j, k, im, jn, ko
-
-!---    INTEGER(iwp) ::  j  !< grid index y direction
-!--     INTEGER(iwp) ::  k  !< grid index z direction
-        INTEGER(iwp) ::  kb !< variable to set respective boundary value, depends on facing. 
-        INTEGER(iwp) ::  l  !< running index boundary type, for up- and downward-facing walls
-        INTEGER(iwp) ::  m  !< running index surface elements
-   
-#if defined( __parallel )
+        REAL(wp)                              ::  time_since_reference_point_rem
+        INTEGER(iwp)                          ::  i
+        INTEGER(iwp)                          ::  j
+        INTEGER(iwp)                          ::  k
+        INTEGER(iwp)                          ::  im
+        INTEGER(iwp)                          ::  jn
+        INTEGER(iwp)                          ::  ko
+        INTEGER(iwp)                          ::  kb !< variable to set respective boundary value, depends on facing. 
+        INTEGER(iwp)                          ::  l  !< running index boundary type, for up- and downward-facing walls
+        INTEGER(iwp)                          ::  m  !< running index surface elements
+   
    
    
@@ -2835,10 +2990,8 @@
    
    
-#endif
 
     CONTAINS
        SUBROUTINE anterpolate_to_crse_u( tag )
       
-#if defined( __parallel )
       
            USE arrays_3d
@@ -2850,12 +3003,19 @@
       
            IMPLICIT NONE
-      
-           INTEGER(iwp)               ::  i, j, k
-           INTEGER(iwp)               ::  if, jf, kf
-           INTEGER(iwp)               ::  bottomx, topx
-           INTEGER(iwp)               ::  bottomy, topy
-           INTEGER(iwp)               ::  bottomz, topz
-           REAL(wp)                  ::  aweight
-           INTEGER(iwp), intent(in)   ::  tag
+
+           INTEGER(iwp), intent(in)           :: tag
+           INTEGER(iwp)                       :: i
+           INTEGER(iwp)                       :: j
+           INTEGER(iwp)                       :: k
+           INTEGER(iwp)                       :: iif
+           INTEGER(iwp)                       :: jjf
+           INTEGER(iwp)                       :: kkf
+           INTEGER(iwp)                       :: bottomx
+           INTEGER(iwp)                       :: bottomy
+           INTEGER(iwp)                       :: bottomz
+           INTEGER(iwp)                       :: topx
+           INTEGER(iwp)                       :: topy
+           INTEGER(iwp)                       :: topz
+           REAL(wp)                           :: aweight
       
            !
@@ -2876,12 +3036,12 @@
                    DO i = bdims_rem(1,1),bdims_rem(1,2)
       
-                       if = (nxf+1) / (nxc+1) * i
+                       iif = (nxf+1) / (nxc+1) * i
       
                        aweight   = 0.0
       
-                       DO kf = bottomz, topz
-                           DO jf = bottomy, topy
-      
-                               aweight   = aweight + anterpol3d(kf,jf,if) *        &
+                       DO kkf = bottomz, topz
+                           DO jjf = bottomy, topy
+      
+                               aweight   = aweight + anterpol3d(kkf,jjf,iif) *        &
                                    (dzf/dzc) * (dyf/dyc)
       
@@ -2898,5 +3058,4 @@
       
       
-#endif
       
        END SUBROUTINE anterpolate_to_crse_u
@@ -2905,5 +3064,4 @@
        SUBROUTINE anterpolate_to_crse_v( tag )
       
-#if defined( __parallel )
       
            USE arrays_3d
@@ -2915,12 +3073,20 @@
       
            IMPLICIT NONE
-      
-           INTEGER(iwp)               ::  i, j, k
-           INTEGER(iwp)               ::  if, jf, kf
-           INTEGER(iwp)               ::  bottomx, topx
-           INTEGER(iwp)               ::  bottomy, topy
-           INTEGER(iwp)               ::  bottomz, topz
-           REAL(wp)                  ::  aweight
-           INTEGER(iwp), intent(in) ::  tag
+
+           INTEGER(iwp), intent(in)           :: tag
+           INTEGER(iwp)                       :: i
+           INTEGER(iwp)                       :: j
+           INTEGER(iwp)                       :: k
+           INTEGER(iwp)                       :: iif
+           INTEGER(iwp)                       :: jjf
+           INTEGER(iwp)                       :: kkf
+           INTEGER(iwp)                       :: bottomx
+           INTEGER(iwp)                       :: bottomy
+           INTEGER(iwp)                       :: bottomz
+           INTEGER(iwp)                       :: topx
+           INTEGER(iwp)                       :: topy
+           INTEGER(iwp)                       :: topz
+           REAL(wp)                           :: aweight
+
            !
            !-- Anterpolation of the velocity components v
@@ -2935,5 +3101,5 @@
                DO j = bdims_rem(2,1), bdims_rem(2,2)
       
-                   jf = (nyf+1) / (nyc+1) * j
+                   jjf = (nyf+1) / (nyc+1) * j
       
                    DO i = bdims_rem(1,1), bdims_rem(1,2)
@@ -2944,8 +3110,8 @@
                        aweight   = 0.0
       
-                       DO kf = bottomz, topz
-                           DO if = bottomx, topx
-      
-                               aweight   = aweight + anterpol3d(kf,jf,if) *        &
+                       DO kkf = bottomz, topz
+                           DO iif = bottomx, topx
+      
+                               aweight   = aweight + anterpol3d(kkf,jjf,iif) *        &
                                    (dzf/dzc) * (dxf/dxc)
       
@@ -2961,5 +3127,4 @@
       
       
-#endif
       
        END SUBROUTINE anterpolate_to_crse_v
@@ -2968,5 +3133,4 @@
        SUBROUTINE anterpolate_to_crse_w( tag )
       
-#if defined( __parallel )
       
            USE arrays_3d
@@ -2978,12 +3142,20 @@
       
            IMPLICIT NONE
-      
-           INTEGER(iwp)               ::  i, j, k
-           INTEGER(iwp)               ::  if, jf, kf
-           INTEGER(iwp)               ::  bottomx, topx
-           INTEGER(iwp)               ::  bottomy, topy
-           INTEGER(iwp)               ::  bottomz, topz
-           REAL(wp)                  ::  aweight
-           INTEGER(iwp), intent(in) ::  tag
+
+           INTEGER(iwp), intent(in)           :: tag
+           INTEGER(iwp)                       :: i
+           INTEGER(iwp)                       :: j
+           INTEGER(iwp)                       :: k
+           INTEGER(iwp)                       :: iif
+           INTEGER(iwp)                       :: jjf
+           INTEGER(iwp)                       :: kkf
+           INTEGER(iwp)                       :: bottomx
+           INTEGER(iwp)                       :: bottomy
+           INTEGER(iwp)                       :: bottomz
+           INTEGER(iwp)                       :: topx
+           INTEGER(iwp)                       :: topy
+           INTEGER(iwp)                       :: topz
+           REAL(wp)                           :: aweight
+
            !
            !-- Anterpolation of the velocity components w
@@ -2993,5 +3165,5 @@
            DO k = bdims_rem(3,1), bdims_rem(3,2)-1
       
-               kf = cfratio(3) * k
+               kkf = cfratio(3) * k
       
                DO j = bdims_rem(2,1), bdims_rem(2,2)
@@ -3007,8 +3179,8 @@
                        aweight   = 0.0
       
-                       DO jf = bottomy, topy
-                           DO if = bottomx, topx
-      
-                               aweight   = aweight + anterpol3d (kf,jf,if) *        &
+                       DO jjf = bottomy, topy
+                           DO iif = bottomx, topx
+      
+                               aweight   = aweight + anterpol3d (kkf,jjf,iif) *        &
                                    (dxf/dxc) * (dyf/dyc)
       
@@ -3024,5 +3196,4 @@
            END DO
       
-#endif
       
        END SUBROUTINE anterpolate_to_crse_w
@@ -3031,5 +3202,4 @@
        SUBROUTINE anterpolate_to_crse_s( tag )
       
-#if defined( __parallel )
       
            USE arrays_3d
@@ -3041,12 +3211,19 @@
       
            IMPLICIT NONE
-      
-           INTEGER(iwp)               ::  i, j, k
-           INTEGER(iwp)               ::  if, jf, kf
-           INTEGER(iwp)               ::  bottomx, topx
-           INTEGER(iwp)               ::  bottomy, topy
-           INTEGER(iwp)               ::  bottomz, topz
-           REAL(wp)                  ::  aweight
-           INTEGER(iwp), intent(in)   ::  tag
+
+           INTEGER(iwp), intent(in)           :: tag
+           INTEGER(iwp)                       :: i
+           INTEGER(iwp)                       :: j
+           INTEGER(iwp)                       :: k
+           INTEGER(iwp)                       :: iif
+           INTEGER(iwp)                       :: jjf
+           INTEGER(iwp)                       :: kkf
+           INTEGER(iwp)                       :: bottomx
+           INTEGER(iwp)                       :: bottomy
+           INTEGER(iwp)                       :: bottomz
+           INTEGER(iwp)                       :: topx
+           INTEGER(iwp)                       :: topy
+           INTEGER(iwp)                       :: topz
+           REAL(wp)                           :: aweight
       
            !
@@ -3071,9 +3248,9 @@
                        aweight   = 0.0
           
-                       DO kf = bottomz, topz
-                           DO jf = bottomy, topy
-                               DO if = bottomx, topx
-      
-                                   aweight   = aweight  + anterpol3d(kf,jf,if) *                  &
+                       DO kkf = bottomz, topz
+                           DO jjf = bottomy, topy
+                               DO iif = bottomx, topx
+      
+                                   aweight   = aweight  + anterpol3d(kkf,jjf,iif) *                  &
                                        (dzf/dzc) * (dyf/dyc) * (dxf/dxc)
       
@@ -3090,7 +3267,7 @@
            END DO
       
-#endif
       
        END SUBROUTINE anterpolate_to_crse_s
+#endif       
     END SUBROUTINE vnest_anterpolate
    
@@ -3098,4 +3275,5 @@
    
     SUBROUTINE vnest_anterpolate_e
+#if defined( __parallel )
    
         !--------------------------------------------------------------------------------!
@@ -3115,8 +3293,12 @@
         IMPLICIT NONE
    
-        REAL(wp)    ::  time_since_reference_point_rem
-        INTEGER(iwp)   :: i, j, k, im, jn, ko
-   
-#if defined( __parallel )
+        REAL(wp)                              :: time_since_reference_point_rem
+        INTEGER(iwp)                          :: i
+        INTEGER(iwp)                          :: j
+        INTEGER(iwp)                          :: k
+        INTEGER(iwp)                          :: im
+        INTEGER(iwp)                          :: jn
+        INTEGER(iwp)                          :: ko
+   
    
         !
@@ -3243,5 +3425,4 @@
         ENDIF
    
-#endif
    
     CONTAINS 
@@ -3253,5 +3434,4 @@
        SUBROUTINE anterpolate_to_crse_e( tag )
       
-#if defined( __parallel )
       
            USE arrays_3d
@@ -3263,14 +3443,24 @@
       
            IMPLICIT NONE
-      
-           INTEGER(iwp)               ::  i, j, k
-           INTEGER(iwp)               ::  if, jf, kf
-           INTEGER(iwp)               ::  bottomx, topx
-           INTEGER(iwp)               ::  bottomy, topy
-           INTEGER(iwp)               ::  bottomz, topz
-           REAL(wp)                  ::  aweight_a, aweight_b, aweight_c, aweight_d, aweight_e
-           REAL(wp)                  ::  energ
-           INTEGER(iwp), intent(in)   ::  tag
-      
+
+           INTEGER(iwp), intent(in)           :: tag
+           INTEGER(iwp)                       :: i
+           INTEGER(iwp)                       :: j
+           INTEGER(iwp)                       :: k
+           INTEGER(iwp)                       :: iif
+           INTEGER(iwp)                       :: jjf
+           INTEGER(iwp)                       :: kkf
+           INTEGER(iwp)                       :: bottomx
+           INTEGER(iwp)                       :: bottomy
+           INTEGER(iwp)                       :: bottomz
+           INTEGER(iwp)                       :: topx
+           INTEGER(iwp)                       :: topy
+           INTEGER(iwp)                       :: topz
+           REAL(wp)                           :: aweight_a
+           REAL(wp)                           :: aweight_b
+           REAL(wp)                           :: aweight_c
+           REAL(wp)                           :: aweight_d
+           REAL(wp)                           :: aweight_e
+           REAL(wp)                           :: energ 
           
            DO k = bdims_rem(3,1)+1, bdims_rem(3,2)
@@ -3295,26 +3485,26 @@
                        aweight_e   = 0.0
       
-                       DO kf = bottomz, topz
-                           DO jf = bottomy, topy
-                               DO if = bottomx, topx
-      
-                                   aweight_a = aweight_a + anterpol3d(kf,jf,if)  *                     &
+                       DO kkf = bottomz, topz
+                           DO jjf = bottomy, topy
+                               DO iif = bottomx, topx
+      
+                                   aweight_a = aweight_a + anterpol3d(kkf,jjf,iif)  *                     &
                                        (dzf/dzc) * (dyf/dyc) * (dxf/dxc)
                               
       
-                                   energ = ( 0.5 * ( u(kf,jf,if)   + u(kf,jf,if+1) ) )**2.0 +          &
-                                       ( 0.5 * ( v(kf,jf,if)   + v(kf,jf+1,if) ) )**2.0 +              &
-                                       ( 0.5 * ( w(kf-1,jf,if) + w(kf,jf,if) ) )**2.0
+                                   energ = ( 0.5 * ( u(kkf,jjf,iif)   + u(kkf,jjf,iif+1) ) )**2.0 +          &
+                                       ( 0.5 * ( v(kkf,jjf,iif)   + v(kkf,jjf+1,iif) ) )**2.0 +              &
+                                       ( 0.5 * ( w(kkf-1,jjf,iif) + w(kkf,jjf,iif) ) )**2.0
       
                                    aweight_b   =   aweight_b + energ         *                         &
                                        (dzf/dzc) * (dyf/dyc) * (dxf/dxc)
        
-                                   aweight_c   =   aweight_c + 0.5 * ( u(kf,jf,if) + u(kf,jf,if+1) ) * &
+                                   aweight_c   =   aweight_c + 0.5 * ( u(kkf,jjf,iif) + u(kkf,jjf,iif+1) ) * &
                                        (dzf/dzc) * (dyf/dyc) * (dxf/dxc)
       
-                                   aweight_d   =   aweight_d + 0.5 * ( v(kf,jf,if) + v(kf,jf+1,if) ) * &
+                                   aweight_d   =   aweight_d + 0.5 * ( v(kkf,jjf,iif) + v(kkf,jjf+1,iif) ) * &
                                        (dzf/dzc) * (dyf/dyc) * (dxf/dxc)
        
-                                   aweight_e   =   aweight_e + 0.5 * ( w(kf-1,jf,if) + w(kf,jf,if) ) * &
+                                   aweight_e   =   aweight_e + 0.5 * ( w(kkf-1,jjf,iif) + w(kkf,jjf,iif) ) * &
                                        (dzf/dzc) * (dyf/dyc) * (dxf/dxc)
       
@@ -3336,10 +3526,11 @@
       
        
-#endif
       
        END SUBROUTINE anterpolate_to_crse_e
+#endif       
     END SUBROUTINE vnest_anterpolate_e
 
     SUBROUTINE vnest_init_pegrid_rank
+#if defined( __parallel )
 ! Domain decomposition and exchange of grid variables between coarse and fine
 ! Given processor coordinates as index f_rnk_lst(pcoord(1), pcoord(2))
@@ -3369,6 +3560,6 @@
        IMPLICIT NONE
 
-       INTEGER(iwp)                    :: dest_rnk
-       INTEGER(iwp)               ::  i                        !<
+       INTEGER(iwp)                           :: dest_rnk
+       INTEGER(iwp)                           ::  i                        !<
 
        IF (myid == 0) THEN
@@ -3429,4 +3620,5 @@
 
 
+#endif
  
     END SUBROUTINE vnest_init_pegrid_rank
@@ -3434,4 +3626,5 @@
 
     SUBROUTINE vnest_init_pegrid_domain
+#if defined( __parallel )
 
        USE control_parameters,                                                    &
@@ -3451,9 +3644,17 @@
        IMPLICIT NONE
 
-       INTEGER(iwp)              :: dest_rnk
-       INTEGER(iwp) ::  i, j                               !<
-       INTEGER(iwp) ::  tempx, tempy                               !<
-       INTEGER(iwp) :: TYPE_INT_YZ,  SIZEOFREAL
-       INTEGER(iwp) :: MTV_X,MTV_Y,MTV_Z,MTV_RX,MTV_RY,MTV_RZ
+       INTEGER(iwp)                           :: dest_rnk
+       INTEGER(iwp)                           :: i              !<
+       INTEGER(iwp)                           :: j              !<
+       INTEGER(iwp)                           :: tempx
+       INTEGER(iwp)                           :: tempy
+       INTEGER(iwp)                           :: TYPE_INT_YZ
+       INTEGER(iwp)                           :: SIZEOFREAL
+       INTEGER(iwp)                           :: MTV_X
+       INTEGER(iwp)                           :: MTV_Y
+       INTEGER(iwp)                           :: MTV_Z
+       INTEGER(iwp)                           :: MTV_RX
+       INTEGER(iwp)                           :: MTV_RY
+       INTEGER(iwp)                           :: MTV_RZ
    
        !
@@ -3692,5 +3893,5 @@
 
         ENDIF
-   
+#endif   
        END SUBROUTINE vnest_init_pegrid_domain
 
@@ -3698,4 +3899,5 @@
        SUBROUTINE vnest_init_grid
  
+#if defined( __parallel )
           USE arrays_3d,                                                             &
               ONLY:  zu, zw
@@ -3761,28 +3963,19 @@
           ENDIF
 
+#endif
        END SUBROUTINE vnest_init_grid
 
 
        SUBROUTINE vnest_check_parameters
-
-          USE arrays_3d,                                                             &
-              ONLY:  zu, zw
-
-          USE control_parameters,                                                    &
-              ONLY:  coupling_mode
-             
-          USE indices,                                                               &
-              ONLY:  nzt
-         
-          USE kinds
-          
-          USE pegrid
+#if defined( __parallel )
+
+          USE pegrid,                                                                &
+              ONLY:  myid
 
           IMPLICIT NONE
 
-
           IF (myid==0) PRINT*, '*** vnest: check parameters not implemented yet ***'
       
-
+#endif
        END SUBROUTINE vnest_check_parameters
 
@@ -3790,6 +3983,7 @@
        SUBROUTINE vnest_timestep_sync
 
+#if defined( __parallel )
          USE control_parameters,                                                    &
-             ONLY:  coupling_mode, dt_3d, dt_coupling
+             ONLY:  coupling_mode, dt_3d, old_dt
       
          USE interfaces
@@ -3825,10 +4019,10 @@
 !-- Identical timestep for coarse and fine grids
           dt_3d = MIN( dtc, dtf )
-!-- Nest coupling at every timestep
-          dt_coupling = dt_3d
-
+          old_dt = dt_3d
+#endif
        END SUBROUTINE vnest_timestep_sync
        
        SUBROUTINE vnest_deallocate
+#if defined( __parallel )
           USE control_parameters,                                                    &
               ONLY:  coupling_mode
@@ -3846,5 +4040,5 @@
              IF ( ALLOCATED (f2c_dims_fg) ) DEALLOCATE (f2c_dims_fg)
           ENDIF
-       
+#endif 
        END SUBROUTINE vnest_deallocate
 
